qgpumode(1B)

NAME
qgpumode - change GPU mode

SYNOPSIS
qgpumode -H host -g gpuid -m mode

DESCRIPTION
The qgpumode command will request a MOM to change the mode on one of it's Nvidia GPUs. The GPU's mode is changed by sending a GPU Control batch request to the batch server.

Changing the GPU mode requires PBS Operator or Manager privilege. It also requires that Torque be configured with --enable-nvidia-gpu.

OPTIONS

-H host
    Specifies the host within the cluster on which the GPU is located. The argument is the name of a host that is a member of the cluster of hosts managed by the server.

-g gpuid
    Specifies the ID of the GPU.

-m mode
    Specifies the new mode of the GPU. Valid Nvidia GPU modes are:

    0   - Normal mode.

    1   - COMPUTE exclusive thread mode (only one COMPUTE thread is allowed to run on the GPU).

    2   - COMPUTE prohibited mode (no COMPUTE contexts are allowed to run on the GPU).

    3   - COMPUTE exclusive process mode (only one COMPUTE process is allowed to run on the GPU). This mode is new with Nvidia driver version 270.

OPERANDS
None

STANDARD ERROR
The qgpumode command will write a diagnostic messages to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the qgpumode command, the exit status will be a value of zero.

If the qgpumode command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
pbs_mom(8B) and pbs_server(8B)